// creator  : weidu (version 130)
// argument : DRIZZT.DLG
// game     : .
// source   : ./override/DRIZZT.DLG
// dialog   : ./dialog.tlk
// dialogF  : ./dialogf.tlk

BEGIN ~DRIZZT~ 2444 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 15 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY @1 /* ~You there!  Will you help a stranger in need?  I am beset by gnolls!~ #2444 */
  IF ~~ THEN REPLY @2 /* ~Fear not, we will not stand aside while another is in peril.~ #16325 */ GOTO 1
  IF ~~ THEN REPLY @3 /* ~This is not my concern and I would rather be elsewhere. Fight your own battles.~ #16326 */ DO ~~ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 2.1 0.0
  SAY @4 /* ~The fight is joined, and I welcome your aid.  Tiresome beasts these gnolls are, and I'll be glad to be done with them!~ #2445 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY @5 /* ~I see you standing out of the field of battle!  Choose your side quickly, for I will be done forthwith, and need to know whether to extend you my hand, or my blade!~ #2446 */
  IF ~~ THEN REPLY @6 /* ~I'll not suffer threats from someone begging my help. Perhaps these gnolls have the right idea! Perhaps you will die here today!~ #16327 */ GOTO 3
  IF ~~ THEN REPLY @7 /* ~If a choice must be made, then I will help you.~ #16328 */ DO ~~ GOTO 1
  IF ~~ THEN REPLY @8 /* ~Our minds are made up, drow!  We'll not help you!~ #16358 */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY @9 /* ~Enemies from the most surprising of sources, whenever I turn my head!  I've no quarrel with you, so this must be your sport, and I have no quarter for those who kill for amusement!~ #2447 */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY @10 /* ~With a Twinkle your life has ended, and such a waste it was.~ #2448 */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 15 even though they appear after this state */
~Global("HelpDrizzt","GLOBAL",0)
Global("DrizztGnolls","GLOBAL",12)
~ THEN BEGIN 5 // from:
  SAY @11 /* ~Had you joined the battle, I would know whether you are well met or not.  As it is, I will simply take my leave, and avoid the issue altogether.  You are one of the few who can say your meeting with Drizzt Do'Urden was uneventful, as friend or foe.~ #2449 */
  IF ~~ THEN DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
EscapeArea()
~ JOURNAL @12 /* ~While exploring the coast I met a strange looking elf by the name of Drizzt Do'Urden. He asked for my help in killing some gnolls, but it was not worth my effort. He seemed capable enough anyway, and I have no time to be making friends.~ #11771 */ EXIT
END

IF WEIGHT #4 /* Triggers after states #: 15 even though they appear after this state */
~Global("HelpDrizzt","GLOBAL",1)
Global("DrizztGnolls","GLOBAL",12)
~ THEN BEGIN 6 // from:
  SAY @13 /* ~Well met, stranger, I am Drizzt Do'Urden, and I appreciate your assistance.  It is a long enough trip to the Icewind Dale, even without these constant interruptions.  I do not recall banditry being of such epidemic proportions in this area; how long has this been so?~ #2450 */
  IF ~~ THEN REPLY @14 /* ~It was not always thus, and I strive to return peace to these lands.~ #2459 */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 7
  IF ~~ THEN REPLY @15 /* ~The blasted raids are endless, as is my hatred for those behind them!~ #2460 */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 8
  IF ~~ THEN REPLY @16 /* ~The raids never cease, but with you here, we need worry no longer!~ #2461 */ DO ~IncrementGlobal("DrizztGnolls","GLOBAL",1)
~ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY @17 /* ~Noble goals indeed, and ones I would hold dear myself.  Your struggle will be difficult, for the bandits that I have encountered -being beset at every turn as I am- are no mere vagabonds with blades.  The humans bear the style of the Black Talon, and the hobgoblins that of the Chill.  Mercenary groups both of them, and as such it is unlikely they are the architects of this endeavor.  You would do well to insinuate into their ranks, and determine their true masters.  Difficult, but not impossible, and potentially the most fruitful course.~ #2451 */
  IF ~~ THEN REPLY @19 /* ~This is sage advice which I will heed.  Know that I think well of you on your journey.~ #2462 */ JOURNAL @18 /* ~Today I met Drizzt Do'Urden, and helped him rout some gnolls that were causing him trouble. He was grateful enough, and offered some advice regarding the bandits in the area. He said the hobgoblin bandits resembled the Chill, and that the human bandits fought like the Black Talons, both of which are mercenary groups. He suggested I insinuate their ranks instead of fighting them directly, and I shall look into this if the opportunity arises.~ #11772 */ GOTO 10
  IF ~~ THEN REPLY @20 /* ~Mere words are not what I need on this quest.  If they are all the help you are offering, then I refuse it!~ #2463 */ GOTO 11
  IF ~~ THEN REPLY @21 /* ~I would not have figured Drizzt Do'Urden to suggest I hide behind words.  Perhaps you have lost some of your edge?~ #2464 */ GOTO 12
END

IF ~~ THEN BEGIN 8 // from: 6.1
  SAY @22 /* ~Such fuel burns hot and quick, but what of when it is spent?  Attacking with hate may suffice, but it is by no means the most fruitful road to travel.  These raiders of yours fight like mercenaries, and as such it is doubtful their bodies will give you more than the most cursory hint at who their masters are.  Cool your fire, tread subtly, and you may find yourself closer to your true quarry.  Be wary though, for the greater the potential reward, the greater the danger in acquiring it.~ #2452 */
  IF ~~ THEN REPLY @24 /* ~That is sage advice which I will heed.  Know that I think well of you on your journey.~ #2465 */ JOURNAL @23 /* ~Today I met Drizzt Do'Urden, and helped him rout some gnolls that were causing him trouble. He was grateful enough, and offered some advice regarding the bandits in the area. He suggested that I insinuate into their ranks instead of fighting them directly. I shall look into this should the opportunity occur.~ #11773 */ GOTO 10
  IF ~~ THEN REPLY @20 /* ~Mere words are not what I need on this quest.  If they are all the help you are offering, then I refuse it!~ #2467 */ GOTO 11
  IF ~~ THEN REPLY @21 /* ~I would not have figured Drizzt Do'Urden to suggest I hide behind words.  Perhaps you have lost some of your edge?~ #2469 */ GOTO 12
END

IF ~~ THEN BEGIN 9 // from: 6.2
  SAY @25 /* ~Would that it were my only battle to fight, but I doubt that upon thinking carefully, you would truly want my help.  Many a powerful creature view me as enemy, and would you truly wish to cross a balor's gaze?  Your path is yours alone to follow, just tread carefully, and remember that your sword is secondary to your mind.  Your opponents may have a harder time matching your wit, than your blade.~ #2453 */
  IF ~~ THEN REPLY @24 /* ~That is sage advice which I will heed.  Know that I think well of you on your journey.~ #2466 */ JOURNAL @26 /* ~Today I met Drizzt Do'Urden, and helped him rout some gnolls that were causing him trouble. He was grateful enough, though he declined my request that he join with me. It's just as well; I do not think I would last long against the villains that would likely follow soon. He did offer some advice, though. Despite his skill with blades he said that I should try to pit my wits against my enemies instead of fighting them directly. I shall keep that in mind.~ #11774 */ GOTO 10
  IF ~~ THEN REPLY @20 /* ~Mere words are not what I need on this quest.  If they are all the help you are offering, then I refuse it!~ #2468 */ GOTO 11
  IF ~~ THEN REPLY @21 /* ~I would not have figured Drizzt Do'Urden to suggest I hide behind words.  Perhaps you have lost some of your edge?~ #2470 */ GOTO 12
END

IF ~~ THEN BEGIN 10 // from: 9.0 8.0 7.0
  SAY @27 /* ~Well met, friend.  Luck be on your side.~ #2454 */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL @28 /* ~Drizzt was quite the pleasant fellow, though I should probably think otherwise if I were ever on the wrong side of his blades.~ #11775 */ EXIT
END

IF ~~ THEN BEGIN 11 // from: 9.1 8.1 7.1
  SAY @29 /* ~I will dismiss your ungratefulness as the impetuousness of youth, and wish you the luck you will need.~ #2455 */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL @30 /* ~That Drizzt seemed friendly enough, but I really didn't need the lecture. He sure talks a lot for someone who could kill anyone he wanted. Why does he bother?~ #11777 */ EXIT
END

IF ~~ THEN BEGIN 12 // from: 9.2 8.2 7.2
  SAY @31 /* ~Those that question my "edge" usually need but look deep inside themselves for their query's end.  If you are lucky, my meaning is all you will catch.  I take my leave.~ #2456 */
  IF ~~ THEN DO ~EscapeArea()
~ JOURNAL @32 /* ~That Drizzt didn't seem so tough. I threatened him a little and he backed down... though he seemed quite calm about it. Probably scared... yeah, that's it... scared.~ #11776 */ EXIT
END

IF ~~ THEN BEGIN 13 // from:
  SAY @33 /* ~Your assault upon me was without cause, but I leave you your life.  See that you put it to better use.~ #2457 */
  IF ~~ THEN DO ~SetGlobal("HelpedDrizzt","GLOBAL",3)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY @34 /* ~You defy all reason!  Make peace with your demons, and say hello to mine!~ #2458 */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 15 // from:
  SAY @35 /* ~I should like to travel with you a while, friend, but I've places I must be.  A pleasure meeting you.~ #8977 */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY @36 /* ~I'll not spend another minute in the presence of such as you.~ #8978 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 17 // from:
  SAY @37 /* ~Well met Bruenor, we have not the time for this.  These young brigands seem to take sport in attacking anyone they please.  But I dare say, that today they have made a mistake by choosing to attack Drizzt Do'Urden!~ #26062 */
  IF ~~ THEN EXTERN ~BRIELB~ 1
END

IF ~~ THEN BEGIN 18 // from:
  SAY @38 /* ~Then let us not tarry here any further and proceed forthwith.~ #26064 */
  IF ~~ THEN DO ~ActionOveride("Catti-Brie",Enemy())
ActionOveride("Regis",Enemy())
ActionOveride("Wulfgar",Enemy())
ActionOveride("Bruenor",Enemy())
~ EXIT
END
